<?php
use Illuminate\Support\Facades\Mail;
use Illuminate\Support\Facades\Route;

use App\Http\Controllers\Controller;
use App\Http\Controllers\ApiController;
use App\Http\Controllers\AdminController;
use App\Http\Controllers\UsersController;

use Illuminate\Http\Request;
use App\Helpers\Helper;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

/* ----------------------------------- ADMIN PANEL --------------------------------------------- */
// BASE AUTHENTICATION
Route::get('/admin/clear_cache', [AdminController::class, 'clear_cache']);
Route::get('/admin', [AdminController::class, 'login']);
Route::post('/admin', [AdminController::class, 'login_process']);
Route::get('/admin/logout', [AdminController::class, 'logout']);
// BASE AUTHENTICATION

// DASHBOARD
Route::get('/admin/dashboard', [AdminController::class, 'Dashboard']);
// DASHBOARD

// USERS CUSTOMERS
Route::get('/admin/users_customers', [AdminController::class, 'users_customers']);
Route::get('/admin/users_customers_fetch', [AdminController::class, 'users_customers_fetch']);
Route::post('/admin/users_customer_details', [AdminController::class, 'users_customer_details']);
Route::post('/admin/users_customer_update', [AdminController::class, 'users_customer_update']);
Route::post('/admin/users_customer_delete', [AdminController::class, 'users_customer_delete']);
// USERS CUSTOMERS

// JOBS
Route::get('/admin/jobs', [AdminController::class, 'jobs']);
Route::get('/admin/jobs_fetch', [AdminController::class, 'jobs_fetch']);
//Route::post('/admin/job_update', [AdminController::class, 'job_update'])->name('job_update');
//Route::post('/admin/job_delete', [AdminController::class, 'job_delete'])->name('job_delete');
//Route::get('/admin/job_edit/{id}', [AdminController::class, 'job_edit'])->name('job_edit');
// JOBS

// GENERAl SETTINGS
Route::get('/admin/account_settings', [AdminController::class, 'account_settings']);
Route::post('/admin/account_settings_update', [AdminController::class, 'account_settings_update']);

Route::get('/admin/system_settings', [AdminController::class, 'system_settings']);
Route::post('/admin/system_settings_edit', [AdminController::class, 'system_settings_edit']);

Route::get('/admin/system_about_us', [AdminController::class, 'system_about_us']);
Route::get('/admin/system_terms', [AdminController::class, 'system_terms']);
Route::get('/admin/system_privacy', [AdminController::class, 'system_privacy']);
// GENERAl SETTINGS


// USERS SYSTEM
Route::get('/admin/users_system', [AdminController::class, 'users_system']);

Route::get('/admin/users_system_add', [AdminController::class, 'users_system_add']);
Route::post('/admin/users_system_add_data', [AdminController::class, 'users_system_add_data']);

Route::get('/admin/users_system_edit/{id}', [AdminController::class, 'users_system_edit']);
Route::post('/admin/users_system_edit_data', [AdminController::class, 'users_system_edit_data']);

Route::get('/admin/users_system_update/{id}/{status}', [AdminController::class, 'users_system_update']);
Route::get('/admin/users_system_delete/{id}', [AdminController::class, 'users_system_delete']);
// USERS SYSTEM

// USERS SYSTEM ROLES
Route::get('/admin/users_system_roles', [AdminController::class, 'users_system_roles']);

Route::get('/admin/users_system_roles_add', [AdminController::class, 'users_system_roles_add']);
Route::post('/admin/users_system_roles_add_data', [AdminController::class, 'users_system_roles_add_data'])->name('users_system_roles_add_data');

Route::get('/admin/users_system_roles_edit/{id}', [AdminController::class, 'users_system_roles_edit'])->name('users_system_roles_edit');
Route::post('/admin/users_system_roles_edit_data', [AdminController::class, 'users_system_roles_edit_data'])->name('users_system_roles_edit_data');

Route::get('/admin/users_system_roles_delete/{id}', [AdminController::class, 'users_system_roles_delete'])->name('users_system_roles_delete');
// USERS SYSTEM ROLES

//SUPPORT MANAGEMENT
//Route::get('/admin/support', [AdminController::class, 'support']);
//SUPPORT MANAGEMENT
/* ----------------------------------- ADMIN PANEL --------------------------------------------- */